Blog







Mac Mail error – You can’t use this version of Mail with this version of Mac OS X

Problem
I just upgraded to Snow Leopard and now mail won’t work at all. What more can I do to fix this problem?

Some users responded with the below issues and none of which have worked.
I moved my ‘mail’ app from the desktop to ‘applications’ and redownloaded the 10.8.6 update, but ‘mail’ still responded with an error afterwards.
or
The solution to that is to download the combined update for Snow Leopard 10.6.8 and your Mail program will be restored.
——–
SolutionOur solution was to go to a machine with a fully updated 10.6.8, copy the mail application from the application folder. Put it on a usb drive. Overwrite the non working version. All mail accounts worked and mail was still in the box.

0

Add a Comment

You must be logged in to post a comment.

# #